# Claim Detection in Biomedical Twitter Posts
This zip file includes supplementary material for the paper "Claim
Detection for Biomedical Twitter Posts" by Amelie Wuehrl and Roman
Klinger, published at the BioNLP workshop at NAACL 2021. When you build on top of our work or use the corpus, please cite the paper:

```
@inproceedings{Wuehrl2021,
  author = {Amelie W\"uhrl and Roman Klinger},
  title = {Claim Detection in Biomedical Twitter Posts},
  booktitle = {BioNLP: Proceedings of the 2021 Workshop on Biomedical Natural Language Processing},
  year = {2021},
}
```


# Content
This zip file contains the following the following files and folder:

* `README.md`: this file
* `annotation-guidelines.pdf`: the document that has been developed
  during the annotation process. It documents the annotation task of
  the annotators.
* `twitter-search-terms.txt`: The terms that have been used to collect
  the data via the Twitter API.
* `corpus/` - the actual annotated corpus (described below). This file
  contains the actual tweet texts which is in terms with the Twitter
  terms and conditions due to its limited size (see the
  [Twitter terms](https://developer.twitter.com/en/developer-terms/agreement-and-policy))


# Corpus Data
We include the list of keywords that we used to collect data from Twitter, the document with the annotation guidelines as well as the corpus files.

The corpus files are divided into the train/test/validation splits that we used during our experiments. Each file is a .tsv file with the following columns: 
* `tweet_id`
* `tweet_text`: tweet string
* `claim`: binary label for claim vs. non-claim annotation
* `explicit`: binary label for explicit vs. implicit claim annotation
* `implicit_claim`: the claim that the annotators inferred from implicit instances
* `claim_phrase`: the substring containing the explicit claim phrase
* `left_claim_onset`: index of the first character of the claim phrase within the tweet_text (for non-claims and implicit claims this is -1)
* `right_claim_offset`: index of the first character after the claim phrase within the tweet_text (for non-claims and implicit claims this is -1)

# License
This dataset is licensed under a CC BY-SA license: https://creativecommons.org/licenses/by-sa/4.0/
